Bug 1069865 (CVE-2014-0092) - CVE-2014-0092 gnutls: incorrect error handling in certificate verification (GNUTLS-SA-2014-2)
Summary: CVE-2014-0092 gnutls: incorrect error handling in certificate verification (G...
Status: CLOSED ERRATA
Alias: CVE-2014-0092
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140303,repo...
Keywords: Security
Depends On: 1069888 1069889 1069890 1069891 1071795 1071796 1071797 1071815 1072808 1072810 1072812 1072813 1072814 1072815 1072864
Blocks: 1065093
TreeView+ depends on / blocked
 
Reported: 2014-02-25 19:50 UTC by Tomas Hoger
Modified: 2015-11-24 15:44 UTC (History)
13 users (show)

Fixed In Version: gnutls 3.1.22, gnutls 3.2.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-03 19:07:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from Nikos (4.25 KB, patch)
2014-02-26 10:04 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0246 normal SHIPPED_LIVE Important: gnutls security update 2014-03-03 23:25:31 UTC
Red Hat Product Errata RHSA-2014:0247 normal SHIPPED_LIVE Important: gnutls security update 2014-03-03 23:25:17 UTC
Red Hat Product Errata RHSA-2014:0288 normal SHIPPED_LIVE Important: gnutls security update 2014-03-12 22:18:33 UTC
Red Hat Product Errata RHSA-2014:0339 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-03-31 20:37:26 UTC

Description Tomas Hoger 2014-02-25 19:50:59 UTC
It was discovered that GnuTLS X.509 certificate verification code failed to properly handle certain errors that can occur during the certificate verification.  When such errors are encountered, GnuTLS would report successful verification of the certificate, even though verification should end with failure.  A specially-crafted certificate can be accepted by GnuTLS as valid even if it wasn't issued by any trusted Certificate Authority.  This can be used to perform man-in-the-middle attacks against applications using GnuTLS.

Comment 2 Tomas Hoger 2014-02-26 09:54:41 UTC
Acknowledgment:

This issue was discovered by Nikos Mavrogiannopoulos of the Red Hat Security Technologies Team.

Comment 3 Tomas Hoger 2014-02-26 10:04:49 UTC
Created attachment 867911 [details]
Patch from Nikos

Comment 6 Tomas Hoger 2014-03-03 07:50:10 UTC
Created mingw-gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1071796]

Comment 7 Tomas Hoger 2014-03-03 07:50:15 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1071795]

Comment 8 Tomas Hoger 2014-03-03 07:50:18 UTC
Created mingw32-gnutls tracking bugs for this issue:

Affects: epel-5 [bug 1071797]

Comment 11 errata-xmlrpc 2014-03-03 18:26:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0247 https://rhn.redhat.com/errata/RHSA-2014-0247.html

Comment 12 errata-xmlrpc 2014-03-03 18:26:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0246 https://rhn.redhat.com/errata/RHSA-2014-0246.html

Comment 15 Fedora Update System 2014-03-06 08:16:54 UTC
gnutls-3.1.20-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 errata-xmlrpc 2014-03-12 18:19:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.3 Long Life
  Red Hat Enterprise Linux 5.9 EUS - Server Only
  Red Hat Enterprise Linux 6.2 LongLife
  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 4 Extended Lifecycle Support
  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 6.3 EUS - Server and Compute Node Only

Via RHSA-2014:0288 https://rhn.redhat.com/errata/RHSA-2014-0288.html

Comment 18 Fedora Update System 2014-03-15 15:22:54 UTC
mingw-gnutls-3.1.22-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-03-15 15:25:16 UTC
mingw-gnutls-3.1.22-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 errata-xmlrpc 2014-03-31 16:38:54 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0339 https://rhn.redhat.com/errata/RHSA-2014-0339.html


Note You need to log in before you can comment on or make changes to this bug.